/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp.jambalaya;

import java.awt.event.ActionEvent;
import java.util.Vector;

import javax.swing.Action;
import javax.swing.Icon;

import edu.stanford.smi.protegex.owl.ui.actions.ResourceAction;

/**
 * Pops up the Query View and shows the selected resource and its neighbours.
 * Passes everything on to the {@link ShowInQueryViewAction}.
 * 
 * @author Rob Lintern
 * @author Chris Callendar
 */
public abstract class ShowInQueryViewResourceAction extends ResourceAction {

	protected ShowInQueryViewAction action = null;

    public ShowInQueryViewResourceAction(ShowInQueryViewAction action, String group, boolean inToolBar, String shortDescription) {
        super((String)action.getValue(Action.NAME), (Icon)action.getValue(Action.SMALL_ICON), group, inToolBar);
        this.action = action;
        putValue(Action.SHORT_DESCRIPTION, shortDescription);
    }

    /* (non-Javadoc)
     * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
     */
    public void actionPerformed(ActionEvent e) {
    	if (getResource() != null) {
    		Vector frames = new Vector(1);
    		frames.add(getResource());
			action.actionPerformed(frames);
    	}
    }

}
